#include <iostream>
#include <cmath>
#include <vector>

using namespace std;

int counter = 0;

void rec(vector<long long>& fd, int i, long long curM, long long n) {
    if(i == -1) {
        if(curM == n) {
            ++counter;
            return;
        }

        return;
    }

    if(n / curM % fd[i] == 0) {
        rec(fd, i, curM * fd[i], n);
    }

    rec(fd, i - 1, curM, n);
}

int main() {
    int t;
    cin >> t;


    long long f1 = 1;
    long long f2 = 1;
    int c = 0;

    long long f[84];

    f[0] = 1;
    f[1] = 1;

    while (f1 + f2 < (long long) 1e18) {
        f1 = f1 + f2;
        f2 = f1 - min(f1 - f2, f2);
        f[c++] = f1;
    }

    for(int j = 0; j < t; ++j) {
        long long n;
        cin >> n;

        vector<long long> fd;

        for (int i = 0; i < 84; ++i) {
            if (n % f[i] == 0) {
                fd.push_back(f[i]);
            }
        }

        rec(fd, fd.size() - 1, 1, n);

        cout << counter << endl;
        counter = 0;
    }

    return 0;
}
