#include <iostream>
#include <vector>

using namespace std;

int mod = 1e9 + 7;

int f(int n, int to) {
    if(n == 0) {
        return 1;
    }

    if(n < to) {
        return 1;
    }

    if(n == to) {
        return n;
    }

    return f(n - 1, to) * n % mod;
}

int cnk(int n, int k) {
    long long ans = 0;

    ans = f(n + k - 1, n + 1) / f(k - 1, 1);

    return ans;
}

int main() {
    int n, m;
    cin >> n >> m;

    vector<int> a(m);

    for(int i = 0; i < m; ++i) {
        cin >> a[i];
    }

    long long ans = 1;

    for(int i = 1; i <= (n + 1) / 2; ++i) {
        ans += cnk(n - 1 - (i - 1) * 2, i + 1);
        ans %= mod;
    }

    cout << ans;

    return 0;
}
