#include <iostream>
#include <cmath>
#include <vector>

using namespace std;

vector<int> mask;

int rec(vector<long long>& fd, int i, int v, long long n) {
    if(i == mask.size()) {
        long long m = 1;

        for(int j = 0; j < mask.size(); ++j) {
            if(mask[j] != 0) {
                if (m >= ((long long) 1e18 + fd[j] - 1) / fd[j]) {
                    return 0;
                }

                m *= fd[j];
            }
        }

        if(m == n) {
            return 1;
        }

        return 0;
    }

    mask[i] = v;

    if(i == mask.size() - 1) {
        return rec(fd, i + 1, 0, n);
    }

    return rec(fd, i + 1, 0, n) + rec(fd, i + 1, 1, n);
}

int main() {
    int t;
    cin >> t;


    long long f1 = 1;
    long long f2 = 1;
    int c = 0;

    long long f[84];

    f[0] = 1;
    f[1] = 1;

    while (f1 + f2 < (long long) 1e18) {
        f1 = f1 + f2;
        f2 = f1 - min(f1 - f2, f2);
        f[c++] = f1;
    }

    for(int j = 0; j < t; ++j) {
        long long n;
        cin >> n;

        vector<long long> fd;

        for (int i = 0; i < 84; ++i) {
            if (n % f[i] == 0) {
                fd.push_back(f[i]);
            }
        }

        mask.resize(fd.size());
        fill(mask.begin(), mask.end(), 0);

        int r = rec(fd, 0, 0, n) + rec(fd, 0, 1, n);
        cout << r << endl;
    }

    return 0;
}
