#include <iostream>
#include <cmath>
#include <vector>

using namespace std;

bool rec(vector<long long>& fd, int i, long long curM, long long n) {
    if(i == -1) {
        if(curM == n) {
            return true;
        }

        return false;
    }

    if(n / curM % fd[i] == 0) {
        return rec(fd, i, curM * fd[i], n) || rec(fd, i - 1, curM, n);
    }

    return rec(fd, i - 1, curM, n);
}

int main() {
    int t;
    cin >> t;


    long long f1 = 1;
    long long f2 = 1;
    int c = 0;

    long long f[84];

    f[0] = 1;
    f[1] = 1;

    while (f1 + f2 < (long long) 1e18) {
        f1 = f1 + f2;
        f2 = f1 - min(f1 - f2, f2);
        f[c++] = f1;
    }

    for(int j = 0; j < t; ++j) {
        long long n;
        cin >> n;

        int c = 0;

        while(n % 2 == 0) {
            n /= 2;
            ++c;
        }

        vector<long long> fd;

        for (int i = 1; i < 84; ++i) {
            if (n % f[i] == 0) {
                fd.push_back(f[i]);
            }
        }

        bool r = false;

        if(n == 1) {
            r = true;
        } else {
            r = rec(fd, fd.size() - 1, 1, n);
        }

        if(r) {
            cout << c / 3 + 1 << endl;
        } else {
            cout << 0 << endl;
        }
    }

    return 0;
}
