#include <iostream>
#include <vector>
#include <map>

using namespace std;

int mod = 1e9 + 7;
map<int, int> standart = {{ 2, 0 }, { 3, 0 }, { 5, 0 }, { 7, 0 }, { 11, 0 }, { 13, 0 }, { 17, 0 }, { 19, 0 }, { 23, 0 }, { 29, 0 }, { 31, 0 }, { 37, 0 }, {
41, 0 }, { 43, 0 }, { 47, 0 }, { 53, 0 }, { 59, 0 }, { 61, 0 }, { 67, 0 }, { 71, 0 }, { 73, 0 }, { 79, 0 }, { 83, 0 }, { 89, 0 }, { 97, 0 }, { 101, 0 }, { 103, 0 }, { 107, 0 }, { 109, 0 }, { 113, 0 }, { 127, 0 }, { 131, 0 }, { 137, 0 }, { 139, 0 }, { 149, 0 }, { 151, 0 }, { 157, 0 }};
vector<map<int, int>> ps(158, standart);

map<int, int> mult(map<int, int>& a, map<int, int>& b) {
    map<int, int> ans = b;

    for(auto it = a.begin(); it != a.end(); ++it) {
        ans[(*it).first] += (*it).second;
    }

    return ans;
}

int divise(map<int, int>& a, map<int, int> b) {
    map<int, int> res = a;
    long long ans = 1;

    for(auto it = b.begin(); it != b.end(); ++it) {
        res[(*it).first] -= (*it).second;

        for(int j = 0; j < res[(*it).first]; ++j) {
            ans *= (*it).first;
            ans %= mod;
        }
    }

    return ans;
}

int cnk(int n, int k) {
    int ans;
    ans = divise(ps[n + k - 1], mult(ps[n], ps[k - 1]));

    return ans;
}

int main() {
    for(int i = 1; i <= 157; ++i) {
        for(auto it = ps[i - 1].begin(); it != ps[i - 1].end(); ++it) {
            int d = i;

            while(d % (*it).first == 0) {
                ++ps[i][(*it).first];
                d /= (*it).first;
            }

            ps[i][(*it).first] += (*it).second;
        }
    }

    int n, m;
    cin >> n >> m;

    vector<int> a(m);

    for(int i = 0; i < m; ++i) {
        cin >> a[i];
    }

    long long ans = 1;

    for(int i = 1; i <= (n + a[1] - 1) / a[1]; ++i) {
        ans += cnk(n - 1 - (i - 1) * a[1], i + 1);
        ans %= mod;
    }

    cout << ans;

    return 0;
}
